Setup/Install/Deploy labnet1002
Closed, ResolvedPublic

Description

  • - mgmt dns entries created/updated (both asset tag & hostname)
  • - system bios and mgmt setup and tested
  • - network switch setup (port description & vlan)
  • - production dns entries created/updated (just hostname, no asset tag entry)
  • - install-server module updated (dhcp and netboot/partitioning)
  • - install OS (note jessie or trusty)
  • - accept/sign puppet/salt keys
  • - service implementation
RobH created this task.May 19 2015, 7:13 PM
RobH updated the task description. (Show Details)
RobH raised the priority of this task from to Normal.
RobH claimed this task.
RobH added a project: acl*operations-team.
RobH added subscribers: RobH, Andrew.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2015, 7:13 PM
Andrew added a comment.Jun 1 2015, 6:48 PM

Very happy to see this chugging along!

This will be a Trusty box. Note also that the network setup for labnet1001 is weird, and labnet1002 needs the same setup. I believe that eth1,2,3 are bonded and eth0 has a separate connection; hopefully you can just look at 1001 and copy the setup.

RobH changed the task status from Open to Stalled.Jun 10 2015, 8:51 PM

The 10G upgrade was somehow neglected in the moving and allocation of the server (my bad.)

I've created https://rt.wikimedia.org/Ticket/Display.html?id=9407 to track the quote/order of said NIC.

RobH updated the task description. (Show Details)Jun 10 2015, 8:51 PM
RobH set Security to None.
RobH updated the task description. (Show Details)

I added the 10G Nic card, and updated dhcpd file with the correct MAC. I also disabled pxe for the 1Gb Eth.

I do want to check with someone about the network aspect. labnet1001 is currently using both xe-2/1/0 and xe-2/1/2. I believe we may have to make a direct connection to cr1 and cr2 to a different uplink module.

I do have an additional uplink module and if have space in B3.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2015, 5:46 PM

I disabled the internal nic and got the console unstuck. I assume some cables need to be switched around now, so that that the 10g interface can act as the new eth0 and eth1 during startup.

Andrew added a comment.Jul 8 2015, 9:02 PM

This is blocked pending a replacement 10g card.

RobH removed RobH as the assignee of this task.Jul 31 2015, 6:52 PM

I'm not sure what the status is on this, other than the task was assigned to me.

Is the new NIC not working?

Andrew claimed this task.Jul 31 2015, 8:08 PM

The box is up and running. Getting it to actually do useful Nova things is up to me now.

Andrew added a comment.Aug 3 2015, 2:27 PM

Now, how do we switch to actually using this box? One option is

https://phabricator.wikimedia.org/T107731

Another option is to try to do some clever in-place swapping where labnet1002 steps into the role of labnet1001 without the instances noticing... I've no idea how to make that happen though.

Andrew added a comment.Aug 3 2015, 2:41 PM

I've no idea how to make that happen though.

Well, that's not exactly true. It is /probably/ as simple as changing

templates/wmnet:eth4-1102.labnet1001 1H IN A 10.68.16.1
to
templates/wmnet:eth4-1102.labnet1002 1H IN A 10.68.16.1

And then restarting nova-network on labnet1002. Scary, though!

Andrew added a comment.Aug 3 2015, 2:50 PM

whoah, except why is that eth4-1102 when the actual interface is eth1.1102@eth1?

Andrew added a comment.Aug 3 2015, 4:07 PM

More info from code-diving: When associating a new instance with a network in flatdhcp mode, it just grabs the list of networks and associates the first one in the list.

Andrew moved this task from Code Review / Blocked to Doing on the Labs-Sprint-107 board.

Change 231406 had a related patch set uploaded (by Andrew Bogott):
Replace some hardcoded labnet1001 refs with hiera values.

https://gerrit.wikimedia.org/r/231406

Change 231406 merged by Andrew Bogott:
Replace some hardcoded labnet1001 refs with hiera values.

https://gerrit.wikimedia.org/r/231406

Andrew closed this task as Resolved.